Summary: Utilities for managing processes on your system.
Name: psmisc
Version: 19
Release: 6tr
License: distributable
Group: System/Monitoring
Source: ftp://sunsite.unc.edu/pub/Linux/system/status/ps/psmisc-%{version}.tar.gz
Patch: psmisc-17-buildroot.patch
Buildroot: /var/tmp/psmisc-root


%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q -n psmisc
%patch -p1 -b .br

%build
make 'LDFLAGS=-s'
strip fuser killall pstree

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
make INSTPREFIX="$RPM_BUILD_ROOT" MANDIR=/usr/share/man/man1 install
mv $RPM_BUILD_ROOT/bin/fuser $RPM_BUILD_ROOT/sbin

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/fuser
/usr/bin/killall
/usr/bin/pstree
/usr/share/man/man1/fuser.1*
/usr/share/man/man1/killall.1*
/usr/share/man/man1/pstree.1*

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 19-6tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 19-5em
- Rebuilt against glibc 2.3.2.

* Wed Jul 24 2002 Daniel Meyer <eagle at trustix dot org> 19-4dm
- rebuild for Trustix Secure Linux 2.0

* Wed Sep 13 2000 Per Ivar Paulsen <perp at trustix dot com>
- Picked up ver 19.

* Tue Jan 25 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man to /usr/share/man for FHS compliance

* Mon Sep 27 1999 Bill Nottingham <notting@redhat.com>
- move fuser to /sbin

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Michael Maher <mike@redhat.com>
- updated package

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- renamed the patch file .patch instead of .spec

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to psmisc version 17
- buildrooted

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from version 11 to version 16
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
